org.eclipse.aether.repository

## Class Proxy

- java.lang.Object
- - org.eclipse.aether.repository.Proxy

-     public final class Proxy
      extends Object

  A proxy to use for connections to a repository.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE_HTTP` Type denoting a proxy for HTTP transfers.
    `static String` | `TYPE_HTTPS` Type denoting a proxy for HTTPS transfers.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Proxy(String type, String host, int port)` Creates a new proxy with the specified properties and no authentication.
    `Proxy(String type, String host, int port, Authentication auth)` Creates a new proxy with the specified properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Authentication` | `getAuthentication()` Gets the authentication to use for the proxy connection.
    `String` | `getHost()` Gets the host for this proxy.
    `int` | `getPort()` Gets the port number for this proxy.
    `String` | `getType()` Gets the type of this proxy.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_HTTP

          public static final String TYPE_HTTP

      Type denoting a proxy for HTTP transfers.
      See Also:
        Constant Field Values

    - #### TYPE_HTTPS

          public static final String TYPE_HTTPS

      Type denoting a proxy for HTTPS transfers.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Proxy

          public Proxy(String type,
               String host,
               int port)

      Creates a new proxy with the specified properties and no authentication.
      Parameters:
        `type` - The type of the proxy, e.g. "http", may be `null`.
        `host` - The host of the proxy, may be `null`.
        `port` - The port of the proxy.

    - #### Proxy

          public Proxy(String type,
               String host,
               int port,
               Authentication auth)

      Creates a new proxy with the specified properties.
      Parameters:
        `type` - The type of the proxy, e.g. "http", may be `null`.
        `host` - The host of the proxy, may be `null`.
        `port` - The port of the proxy.
        `auth` - The authentication to use for the proxy connection, may be `null`.

  - ### Method Detail

    - #### getType

          public String getType()

      Gets the type of this proxy.
      Returns:
        The type of this proxy, never `null`.

    - #### getHost

          public String getHost()

      Gets the host for this proxy.
      Returns:
        The host for this proxy, never `null`.

    - #### getPort

          public int getPort()

      Gets the port number for this proxy.
      Returns:
        The port number for this proxy.

    - #### getAuthentication

          public Authentication getAuthentication()

      Gets the authentication to use for the proxy connection.
      Returns:
        The authentication to use or `null` if none.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.